%global upstream_name texttable

Name:           python-%{upstream_name}
Version:        1.6.2
Release:        %mkrel 3
Summary:        Python module to generate a formatted text table, using ASCII characters

Group:          Development/Python
License:        LGPLv3
URL:            https://github.com/foutaise/texttable
Source0:        https://pypi.io/packages/source/t/texttable/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python module to generate a formatted text table, using ASCII characters.

#------------------------------------------------

%package -n     python3-%{upstream_name}
Summary:        Python 3 module to generate a formatted text table, using ASCII characters
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Python 3 module to generate a formatted text table, using ASCII characters.

#------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc PKG-INFO README.md
%{python3_sitelib}/texttable*
%{python3_sitelib}/__pycache__/texttable*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.6.2-3.mga8
+ Revision: 1531823
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.6.2-2.mga8
+ Revision: 1441233
- rebuild for python-3.8

* Sun Sep 15 2019 joequant <joequant> 1.6.2-1.mga8
+ Revision: 1440942
- update to python 3.8

* Thu Jan 10 2019 shlomif <shlomif> 1.5.0-1.mga8
+ Revision: 1354492
- New version

* Fri Sep 21 2018 umeabot <umeabot> 1.2.1-3.mga7
+ Revision: 1290428
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Fri Mar 23 2018 kekepower <kekepower> 1.2.1-2.mga7
+ Revision: 1211343
- Use python[2,3]dist
- Use python_provide

* Tue Mar 06 2018 bcornec <bcornec> 1.2.1-1.mga7
+ Revision: 1206912
- Update to upstream python-texttable 1.2.1

* Tue Aug 08 2017 daviddavid <daviddavid> 0.8.8-1.mga7
+ Revision: 1139028
- new version: 0.8.8
- rename python-texttable to python2-texttable
- add the python3 subpackage
- fix license
- use new python macros

* Tue Feb 09 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 951470
- Mageia 6 Mass Rebuild

* Sun Dec 28 2014 juancho <juancho> 0.8.1-1.mga5
+ Revision: 806835
- imported package python-texttable

